%define		packname	affyio

Summary:	Tools for parsing Affymetrix data files
Name:		R-%{packname}
Version:	1.30.0
Release:	2
License:	LGPL v2+
Group:		Applications/Engineering
Source0:	http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
# Source0-md5:	5a26b715296921b05ab788e6af2a3e09
Patch0:		no-zlibbioc.patch
URL:		http://bioconductor.org/packages/release/bioc/html/affyio.html
BuildRequires:	R
BuildRequires:	texlive-latex
BuildRequires:	zlib-devel
Requires:	R
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Routines for parsing Affymetrix data files based upon file format
information. Primary focus is on accessing the CEL and CDF file
formats.

%prep
%setup -q -c -n %{packname}
%patch0 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library

R CMD INSTALL %{packname} -l $RPM_BUILD_ROOT%{_libdir}/R/library

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/LICENSE
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs
%changelog
* Sat May 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-affyio.git;a=log;h=master

* Sat May 27 2017 Jan Rękorajski <baggins@pld-linux.org> 5ce563a
- x32 rebuild
- release 2 (by relup.sh)

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 99452cb
- up to 1.30.0

* Wed Oct 17 2012 Jan Rękorajski <baggins@pld-linux.org> 5993ebd
- new, based on fedora

